<template>
  <a-table
    ref="tableRef"
    :columns="showColumns"
    :data="data"
    :scroll="{ y: '100%', x: '100%' }"
  >
    <template #settingsTitle>
      <a-tooltip content="列设置" position="tr">
        <icon-settings
          class="settingBtn"
          @click="columnsSettingsVisible = true"
        />
      </a-tooltip>
    </template>
  </a-table>

  <x-colmuns-settings
    v-model:visible="columnsSettingsVisible"
    v-model:showColumns="showColumns"
    :init-colmuns="initColmuns"
    :table-ref="tableRef"
  />
</template>

<script lang="ts" setup>
import { ref } from 'vue'
import { TableInstance } from '@arco-design/web-vue'

const initColmuns = [
  {
    title: 'Name',
    dataIndex: 'name',
    mustShow: true
  },
  {
    title: 'Salary',
    dataIndex: 'salary'
  }
]

const data = ref([
  {
    name: 'Jane Doe',
    salary: 23000
  }
])

const tableRef = ref<TableInstance>()
const showColumns = ref()
const columnsSettingsVisible = ref(false)
</script>

<style scoped lang="less"></style>
